;;; -*- Mode: Lisp; Syntax: Common-Lisp; Package: cl-user -*-

(in-package cl-user)

;;; Please adjust this logical pathname: 

#-:clisp
(setf (logical-pathname-translations "lracer")
  '(("**;*.*.*" "lracer/**/*.*")))

(defvar *lracer-dir*)

(defvar *lracer-demo-dir*)

#+:sbcl
(require 'sb-bsd-sockets)

#+:lispworks
(require "comm")

(defparameter *lracer-filenames*
  '("nrql-symbols-2-0-0"
    "lracer-package-2-0-0"
    "lracer-core-2-0-0"
    "lracer-stubs-2-0-0"
    "lracer-reader-macros-2-0-0"
    "lracer-tests"))

(defun compile-load-lracer (&optional 
			    #-:clisp
			    (directory "lracer:")
			    #+:clisp
			    (directory "lracer/")
			    (force-compile-p nil))

  (setf *lracer-dir* directory)
  
  (loop for filename in *lracer-filenames* 
      for pathname = (merge-pathnames (pathname filename)
				      (pathname directory))
      do
	(when force-compile-p 
	  (compile-file (merge-pathnames pathname (make-pathname :type "lisp"))
			:verbose t))
        (load pathname :verbose t)))

;; (compile-load-lracer "~/lracer/")
